libzypp 17.38.15

zypp::debug::BlockTraceBase Struct Reference

`#include <zypp-core/base/Logger.h>`

Inheritance diagram for zypp::debug::BlockTraceBase:

## Public Member Functions
| BlockTraceBase (const BlockTraceBase &)=delete
BlockTraceBase & | operator= (const BlockTraceBase &)=delete
| BlockTraceBase (const char *file_r, const char *fnc_r, int line_r, std::string msg_r=std::string())

## Protected Attributes
const char * | _file
const char * | _fnc
int | _line
std::string | _msg

## Static Protected Attributes
static unsigned | _depth

## Detailed Description

Definition at line 23 of file Logger.h.

## Constructor & Destructor Documentation

## ◆ BlockTraceBase() [1/2]

zypp::debug::BlockTraceBase::BlockTraceBase | ( | const BlockTraceBase & |  | ) |
| delete

## ◆ BlockTraceBase() [2/2]

zypp::debug::BlockTraceBase::BlockTraceBase | ( | const char * | file_r,
|  | const char * | fnc_r,
|  | int | line_r,
|  | std::string | msg_r = std::string() )
| inline

Definition at line 27 of file Logger.h.

## Member Function Documentation

## ◆ operator=()

BlockTraceBase & zypp::debug::BlockTraceBase::operator= | ( | const BlockTraceBase & |  | ) |
| delete

## Member Data Documentation

## ◆ _depth

unsigned zypp::debug::BlockTraceBase::_depth
| static protected

Definition at line 34 of file Logger.h.

## ◆ _file

const char* zypp::debug::BlockTraceBase::_file
| protected

Definition at line 35 of file Logger.h.

## ◆ _fnc

const char* zypp::debug::BlockTraceBase::_fnc
| protected

Definition at line 36 of file Logger.h.

## ◆ _line

int zypp::debug::BlockTraceBase::_line
| protected

Definition at line 37 of file Logger.h.

## ◆ _msg

std::string zypp::debug::BlockTraceBase::_msg
| protected

Definition at line 38 of file Logger.h.

The documentation for this struct was generated from the following file:

- zypp-core/base/Logger.h